Status: Resolved Priority: Could have
PHP Version:
Has patch: Yes
Complexity:
Subject: Refactor FunctionalTestCase to extract authenticateAccount() functionality
Description

In order to provide testability of an account authentication, it would make sense to extract that functionality from the 
authenticateRoles() method into a new authenticateAccount() method.

Associated revisions
Revision 6bbe20c3 - 2012-07-04 15:55 - Adrian Föder

[FEATURE] Extract authenticateAccount functionality

This extracts the portion that is responsible for the actual account
authentication in order to use this exclusively in own tests.

Change-Id: Ie5c417e67e5905dee9f6a82c3e950a2e63ee355d
Resolves: #37470
Releases: 1.2

History
#1 - 2012-05-24 15:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11573

#2 - 2012-07-04 10:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11573

#3 - 2012-07-04 15:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11573

#4 - 2012-07-04 15:56 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
